// #####################################################################################
// #                                                                                   #
// #     Beispielprogramm fuer die Klasse Drawing:                                     #
// #                                                                                   #
// #     Programmierer:     Sascha Kurz                                                #
// #     Kontakt:           KurzTEF@web.de					       #
// #     Aktualisierungen:  http://www.stud.uni-bayreuth.de/~a8581/                    #
// #                                                                                   #
// #     getestete Betriebssysteme:       Suse Linux				       #
// #			                  DOS					       #	
// #     Compiler:                        g++ 2.95.2                                   #
// #     Command:	         	  g++ -O bsp_draw_10.cpp drawing.o  	       #
// #                                                                                   #
// #     letzte Aenderung:                07.07.2001                                   #
// #										       #
// #####################################################################################



#include <iostream>
#include <fstream>
#include <ctime>
#include <cstdio>
#include "drawing.h"


int main(void)
{
  // Informationen ohne Rechnen



  Drawing<int, long double>* d=NULL;			
  int j;
  int s;
  int s2;

  cout << "Die Anzahl der Regionen und Kreuzungspunkte nach einer Formel von Poonen-Rubinstein:" << endl;
  cout << "Geben Sie die Start-Anzahl der Ecken ein:";
  cin  >> s;
  cout << "Geben Sie die End-Anzahl der Ecken ein:";
  cin  >> s2;
  s2++;
  for(j=s;j<s2;j++)
  {
    d=new Drawing<int,long double>(j);
    cout << "Das regelmaessige " << j << "-Eck besitzt " << d->AnzahlIntersectionsRegularPolygon(j) << " Kreuzungspunkte. ";
    cout << "Es enthaelt " << d->AnzahlRegionsRegularPolygon(j) << " Regionen." << endl;
    delete d;
  };
  cout << "Nachschlagen der Anzahl der 3-Ecke eines regelmaessigen n-Ecks in einem file:" << endl;
  cout << "Geben Sie n ein:";
  cin  >> s;
  cout << "Anzahl der 3-Ecke:" <<  d->NachschlagenDreiecke(s) << endl;
  cout << "Nachschlagen der Anzahl der m-Ecke eines regelmaessigen n-Ecks in einem file:" << endl;
  cout << "Geben Sie n ein:";
  cin  >> s;
  cout << "Geben Sie m ein:";
  cin  >> s2;
  cout << "Anzahl der " << s2 << "-Ecke:" <<  d->NachschlagenPolygone(s,s2) << endl;


  return 0;
};

