// #####################################################################################
// #                                                                                   #
// #     Beispielprogramm fuer die Klasse Drawing:                                     #
// #                                                                                   #
// #     Programmierer:     Sascha Kurz                                                #
// #     Kontakt:           KurzTEF@web.de					       #
// #     Aktualisierungen:  http://www.stud.uni-bayreuth.de/~a8581/                    #
// #                                                                                   #
// #     getestete Betriebssysteme:       Suse Linux				       #
// # 					  DOS					       #
// #     Compiler:                        g++ 2.95.2                                   #
// #     Command:	         	  g++ -O bsp_draw_2.cpp drawing.o 	       #
// #                                                                                   #
// #     letzte Aenderung:                07.07.2001                                   #
// #										       #
// #####################################################################################



#include <iostream>
#include "drawing.h"


int main(void)
{
  // Berechnet die Anzahl der Polygone eines regelmaessigen n-Ecks,
  // ohne Ausnutzung der Symmetrie, und ohne Ausgabe der Rechenzeiten
  Drawing<int,long double>* d;
  int j;
  int s;
  int s2;

  cout << "Geben Sie die Start-Anzahl der Ecken ein:";
  cin  >> s;
  cout << "Geben Sie die End-Anzahl der Ecken ein:";
  cin  >> s2;
  s2++;
  for(j=s;j<s2;j++)
  {
    d=new Drawing<int,long double>(j);
    cout << j << "-Eck:" << endl;
    if((j%2)==0)
      d->AnzahlPolygoneRegularPolygon5(j);
    else
      d->AnzahlPolygoneRegularPolygon1(j);						// AnzahlPolygoneRegularPolygon1 kann keine Mehrfachschnittpunkte behandeln, laueft dafuer schneller
    delete d;
  };
  return 0;
};

