// #####################################################################################
// #                                                                                   #
// #     Beispielprogramm fuer die Klasse Drawing:                                     #
// #                                                                                   #
// #     Programmierer:     Sascha Kurz                                                #
// #     Kontakt:           KurzTEF@web.de					       #
// #     Aktualisierungen:  http://www.stud.uni-bayreuth.de/~a8581/                    #
// #                                                                                   #
// #     getestete Betriebssysteme:       Suse Linux				       #
// #					  DOS					       #	
// #     Compiler:                        g++ 2.95.2                                   #
// #     Command:	         	  g++ -O bsp_draw_5.cpp drawing.o  	       #
// #                                                                                   #
// #     letzte Aenderung:                07.07.2001                                   #
// #										       #
// #####################################################################################



#include <iostream>
#include "drawing.h"


int main(void)
{
  // Berechnet die Anzahl der Dreiecke eines regelmaessigen n-Ecks,
  // mit Ausnutzung der Symmetrie, und mit Ausgabe der Rechenzeiten
  // Rechnen mit vermindeter Genauigkeit !!!

  // Bemerkung:
  // Die Anzahl der Dreiecke eines regelmaessigen 200-Ecks werden immer noch exakt ausgerechnet
  // Die Rechenzeit hat sich gegenueber bsp_draw_4.cpp (mit long double-Genauigkeit)
  // von 37 sec auf 25 sec reduziert    (auf Beispielrechner)

  Drawing<int, double>* d;			// Einsparen an Genauigkeit!!!!	
  int j;
  int s;
  int s2;

  cout << "Geben Sie die Start-Anzahl der Ecken ein:";
  cin  >> s;
  cout << "Geben Sie die End-Anzahl der Ecken ein:";
  cin  >> s2;
  s2++;
  for(j=s;j<s2;j++)
  {
    d=new Drawing<int,double>(j);
    cout << j << "-Eck:" << endl;
    if((j%2)==0)
      d->AnzahlDreieckeRegularPolygon7_s(j);
    else
      d->AnzahlDreieckeRegularPolygon3_s(j);						// AnzahlDreieckeRegularPolygon3_s kann keine Mehrfachschnittpunkte behandeln, laueft dafuer schneller
    delete d;
  };
  return 0;
};

